Follow

After upgrading 2FA to v5 ConnectWise or AutoTask fails to authenticate

Issue

After upgrading 2FA to v5 logins for ConnectWise, AutoTask, or other 2FA protection components fail to authenticate

This issue applies to anybody using the following:

  1. ConnectWise
  2. AutoTask
  3. AuthAnvil v3.5 or earlier
  4. Any agents configured with “https://<YourDomain.com>/AuthAnvilSAS/SAS.asmx” as the SAS URL

 

Cause

2FA v5.0 will not support the legacy URL paths provided in previous versions. Any AuthAnvil agents that are still pointing to the legacy SAS URLs for authentication will fail to check with the AuthAnvil server, preventing users from logging in. ALL AUTHENTICATION WILL FAIL if the SAS URLs are not updated.

 Here is an example of primary and legacy URL paths:

 AuthAnvil SAS URL (authentication web service)

  • LEGACY: https://<domain.com>/AuthAnvilSAS/SAS.asmx
  • CURRENT: https://<domain.com>/AuthAnvil/SAS.asmx

 In AuthAnvil v4.0 (June 2011) we released new URL paths for our web services and pages. These new URLs replaced old legacy paths that had been used for several years. To make sure there was minimal impact for our users, we maintained legacy support by adding redirect paths from the legacy URLs to the current URLs. Since v4.0 was released nearly 2 years ago, we have now removed legacy URL support in AuthAnvil Two Factor Auth v5.0.

 

Resolution

We have created a batch file that will recreate the legacy URL's. See attached file 

For more information please click here: https://help.scorpionsoft.com/hc/en-us/articles/218315197

Attached to this article is the VBS script that can be used to resolve this issue.

 

Affects

All versions of 2FA v5 or newer

Questions?

If you have any questions or need some help, we would be happy to assist. Open a case at help.scorpionsoft.com or send an email to support@scorpionsoft.com.

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk